 python error while using virtual layers in db manager

2018-11-14 11:21 AM - Tobias Wendorff

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28306

Description

When trying to access virtual layers using DB Manager, a python error occures:

2018-11-14T11:21:11     WARNING    Traceback (most recent call last):

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_model.py", line 444, in rowCount

              self._refreshIndex(parent, True)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_model.py", line 493, in _refreshIndex

              if item.populate():

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_model.py", line 186, in populate

              tables = database.tables()

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\plugin.py", line 518, in tables

              tables = self.connector.getTables(schema.name if schema else None, sys_tables)

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\vlayers\connector.py", line 178, in getTables

              return self.getVectorTables()

              File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\db_manager\db_plugins\vlayers\connector.py", line 196, in

getVectorTables

              for _, l in QgsProject.instance().mapLayers():

             ValueError: too many values to unpack (expected 2)

History

#1 - 2018-11-14 06:22 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Subject changed from virtual layers breaks with a python error to  python error while using virtual layers in db manager

- Category changed from Virtual Layers to DB Manager

- Priority changed from Normal to High

#2 - 2018-11-15 12:38 PM - Alexandre Neto

Confirmed on Linux as well

#3 - 2018-11-15 01:05 PM - Victor Olaya

it should be fixed by this commit:149726cfa5955f707441ec1c936094fccd0a33ec

#4 - 2018-12-24 10:16 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Operating System deleted (Microsoft Windows 7, 64-bit)

Fixed in master. Please test and reopen if necessary
